#!/bin/sh

if [ ! -e /tmp/share.info ] ;
 		then
			echo "Information unavailable !!!"
			echo ""
		else

SHINFO=/tmp/share.info

 ILECARDS=`cat $SHINFO | wc -l`
 ILEDIST1=`cat $SHINFO | grep dist:1 | wc -l`
 ILEDIST2=`cat $SHINFO | grep dist:2 | wc -l`
 ILEDIST3=`cat $SHINFO | grep dist:3 | wc -l`
 ILEDIST4=`cat $SHINFO | grep dist:4 | wc -l`
 ILEDIST5=`cat $SHINFO | grep dist:5 | wc -l`
 ILELEVEL0=`cat $SHINFO | grep Lev:0 | wc -l`
 ILELEVEL1=`cat $SHINFO | grep Lev:1 | wc -l`
 ILELEVEL2=`cat $SHINFO | grep Lev:2 | wc -l`
 ILELEVEL3=`cat $SHINFO | grep Lev:3 | wc -l`
 ILELEVEL4=`cat $SHINFO | grep Lev:4 | wc -l`

 echo ""
 echo "Total cards -  $ILECARDS"
 echo ""
 echo "Cards in dist.  1 -  $ILEDIST1"
 echo "Cards in dist.  2 -  $ILEDIST2"
 echo "Cards in dist.  3 -  $ILEDIST3"
 echo "Cards in dist.  4 -  $ILEDIST4"
 echo "Cards in dist.  5 -  $ILEDIST5"
 echo ""
 echo "Cards with level 0 -  $ILELEVEL0"
 echo "Cards with level 1 -  $ILELEVEL1"
 echo "Cards with level 2 -  $ILELEVEL2"
 echo "Cards with level 3 -  $ILELEVEL3"
 echo "Cards with level 4 -  $ILELEVEL4"
 echo ""
fi

exit 0


